# Uses of Class
org.apache.commons.math3.geometry.euclidean.threed.Segment

Packages that use Segment
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.

## Uses of Segment in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return types with arguments of type Segment
Modifier and Type
Method
Description
`List<Segment>`
SubLine.`getSegments()`
Get the endpoints of the sub-line.
Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Segment
Modifier
Constructor
Description
``
`SubLine(Segment segment)`
Create a sub-line from a segment.